﻿import viz
import vizdlg
import vizact

viz.go()

p1 = vizdlg.TickerDialog(label='Circle',units='pixels',range=(1,5,1),editable=True,border=False,background=False,margin=0)
tp = vizdlg.TabPanel(align=vizdlg.ALIGN_RIGHT_TOP)
tp.addPanel('Circle',p1,align=vizdlg.ALIGN_LEFT_TOP)

viz.link(viz.RightTop,tp,offset=(-20,-20,0))

vizact.onkeydown(' ',tp.setPanelScale,2)

class panelTest():
	"""This is the class for handling the feedback from the iPads"""
	
	def __init__(self):		
		self._window = viz.MainWindow
		self.steamScores = {1: (64.79, 3), 2: (66.11, 3), 3: (83.39, 2), 4: (84.75, 2)}
		
	def CreateSteamScoreBoard(self):
		self.steamTab = vizdlg.TabPanel(window=self._window,
				#layout=vizdlg.LAYOUT_VERT_LEFT,
				align=vizdlg.ALIGN_LEFT_TOP,
				skin=None,
				margin=None,
				spacing=0,
				padding=0,
				fontSize=36,
				theme=None,
				drawOrder=0,
				background=True,
				border=False)
		self.steamPanel = vizdlg.GridPanel(window=self._window,
				#layout=vizdlg.LAYOUT_VERT_LEFT,
				align=vizdlg.ALIGN_CENTER_TOP,
				skin=None,
				margin=None,
				spacing=5,
				padding=0,
				fontSize=18,
				theme=None,
				drawOrder=0,
				background=False,
				border=False)
		self.steamTab.addPanel('TEST',self.steamPanel,viz.ALIGN_LEFT_TOP)
		self.steamTab.font('Arial Black')
		self.steamPanel.fontSize(28)
		#STEAM-related scoreboard with title
		row_task = viz.addText('TASK')
		row_task.font("Segoe UI")
		row_time= viz.addText('TIME')
		row_time.font("Segoe UI")
		row_icon= viz.addText('')
		self.steamPanel.addRow([row_icon, row_task, row_time])
		self.steamPanel.addSeparator(1.0)
		
#		for taskid, info in self.scoreboardInfo.iteritems():
		row_text = viz.addText('Test')
		row_text.font("Segoe UI")
		row_icon = viz.addTexQuad(size=50, texture=viz.add('textures/iPad/info.png'))
		row_score= viz.addText(str(self.steamScores[1][0]))
		row_score.font("Segoe UI")
		self.steamPanel.addRow([row_icon, row_text, row_score])
		sep = self.steamPanel.addSeparator(1.0)
#			if taskid == 4: break
#		self.steamPanel.removeItem(sep)
		
		self.steamPanel.setCellPaddingLeft(10)
		#link panel to top center with an offset
		self.steamLink = viz.link(self._window.LeftTop,self.steamTab,offset=(10,-10,0))
		
p=panelTest()
p.CreateSteamScoreBoard()
vizact.onkeydown('q',p.steamTab.setPanelScale,2)
vizact.onkeydown('w',p.steamTab.setPanelScale,1)